TAN Verification Plus

Instantpay's TAN Verification Plus API Solution goes beyond standard TAN (Tax Deduction and Collection Account Number) verification, offering a heightened level of business authentication. Seamlessly integrating this advanced tool allows organisations to verify TAN details with precision and enrich their databases with supplementary data points.

Elevate your due diligence processes with TAN Verification Plus, ensuring compliance with tax regulations while gaining a more comprehensive view of your clientele. Streamline verification, reduce the risk of errors, and enhance the security of financial operations with Instantpay's TAN Verification Plus API, a crucial component for businesses seeking advanced identity authentication.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
tanNumberStringMandatoryTAN Number
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentStringMandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/verifyTan' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "tanNumber":"PNEA28XXXX",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}'
POST /identity/verifyTan HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 14.142.186.142
Content-Type: application/json
Content-Length: 146

{
    "tanNumber":"PNEA28XXXX",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "tanDetail": {
            "tanNumber": "PNEA28XXXX",
            "userFullName": "Business Name",
            "userFirstName": "",
            "userMiddleName": "",
            "userLastName": "",
            "tanAllotmentDate": "25-10-2018",
            "userAddress": {
                "line1": "ADD_LINE_1",
                "line2": "JEWADI ROAD",
                "line3": "XRBIA,",
                "line4": "",
                "line5": "PUNE, PUNE",
                "stateCode": "19",
                "zipCode": "",
                "country": "",
                "full": "Full Address"
            },
            "userEmail": "[email protected]",
            "userPhoneNumber": "7428585742"
        },
        "pool": {
            "referenceId": "1231005103330VNFPB",
            "openingBalance": "47.77",
            "paymentAmount": "3.54",
            "mode": "DR",
            "closingBalance": "44.23"
        }
    },
    "timestamp": "2023-10-05 10:33:30",
    "ipay_uuid": "h0069a4b4df1-1c60-49f7-a0ff-78902a0953e2-YcyXJlTNHQtU",
    "orderid": "1231005103330VNFPB",
    "environment": "LIVE",
    "internalCode": null
}
Body Params
string
string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json